PlatformIO Community

Impossible to load ESP8266

Hello,

I had this problem with the last platform of espressif8266 :

PlatformManager: Installing espressif8266
Error: Please read http ://bit.ly/package-manager-ioerror
Warning! Package Mirror: HTTPSConnectionPool(host='dl.registry.platformio.org', port=443): Max retries exceeded with url: /download/platformio/platform/espressif8266/2.6.2/espressif8266-2.6.2.tar.gz (Caused by SSLError(SSLError(1, u'[SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)'),))
Looking for another mirror...
Error: Could not install 'espressif8266' with version requirements '*' for your system 'darwin_x86_64'.

Please try this solution -> http ://bit.ly/faq-package-manager

Now I could not download the platform of espressif8266

I’m on MacOSX 10.15.6…

Thnks in advance for your help :slight_smile:

I have download it manually with https://dl.registry.platformio.org//download/platformio/platform/espressif8266/2.6.2/espressif8266-2.6.2.tar.gz

place the extraction manually into .platformio/platforms and all is OK.

But it’s strange, every automatic update worked fine before…

Works for me now.

C:\Users\Maxi>pio platform install espressif8266
PlatformManager: Installing espressif8266
espressif8266 @ 2.6.2 has been successfully installed!
PackageManager: Installing toolchain-xtensa @ ~2.40802.191122
Downloading  [####################################]  100%
Unpacking  [####################################]  100%
toolchain-xtensa @ 2.40802.200502 has been successfully installed!
PackageManager: Installing tool-esptool @ <2
tool-esptool @ 1.413.0 has been successfully installed!
PackageManager: Installing tool-esptoolpy @ ~1.20800.0
tool-esptoolpy @ 1.20800.0 has been successfully installed!
The platform 'espressif8266' has been successfully installed!
The rest of packages will be installed automatically depending on your build environment.

There may have been a temporary server outage as explained in Platformio reports certificate error, can not build locally.